# Wire transfer object

The wire transfer object represents the current state of a single wire transfer initiated by or received by Column. Wire transfers are used to send and receive money over Fedwire. The wire transfer object exposes all relevant information about the wire transfer to developers. Read more about [wire transfers here](/wire).

### Object Parameters

- `account_number_id` `string` — ID of the account number that is sending/receiving the transfer
- `allow_overdraft` `boolean` — Allows the account to go negative for an outgoing transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it
- `amount` `number` — Amount (in cents) of the funds that will be transferred between originator and counterparty accounts. e.g. $1.75 would be represented by 175.
- `bank_account_id` `string` — ID of the bank account that is sending/receiving the transfer
- `beneficiary_account_number` `string` — The external account number to which the wire is being sent
- `beneficiary_name` `string` — The name of the person who is receiving the wire
- `beneficiary_reference` `string` — Reference information for the beneficiary included in the wire transfer.
- `business_function_code` `string` — The business function code specified in the wire transfer. Possible business function codes are `BTR`, `CTP`, `CTR`, `DRC`, or `DRW`
- `completed_at` `date-time` — The timestamp when the wire was completed
- `counterparty_id` `string` — ID of the counterparty that is receiving/sending the transfer
- `created_at` `date-time` — The timestamp when the wire was created
- `created_by` `object` — The identity (API key or dashboard user) that created the wire transfer.
  - `id` `string` — The unique ID of the identity (e.g., API key ID or dashboard user ID).
  - `name` `string` — The display name of the identity.
  - `type` `enum` — The type of the identity.
    Possible values: `API_KEY`, `DASHBOARD_USER`
- `creditor_agent_name` `string` — Name of the creditor's financial institution.
- `creditor_agent_routing_number` `string` — Routing number of the creditor's financial institution.
- `creditor_tax_id` `string` — A Tax Identification Number (TIN) or Employer Identification Number (EIN) of exactly `9` numeric characters for the creditor. This field is only required when the counterparty routing number is one of the Treasury tax payment RTNs ('091036164' or '091036177') for an outgoing wire transfer.
- `currency_code` `string` — The three-letter currency code defined in ISO 4217. e.g. `USD`
- `debtor_agent_name` `string` — Name of the debtor's financial institution.
- `debtor_agent_routing_number` `string` — Routing number of the debtor's financial institution.
- `description` `string` — A description of the transfer visible in account statements. This field contains "originator to beneficiary" information and will be transmitted to the RDFI. The description has a `140` character limit.
- `fi_to_fi_information_line_1` `string` — Financial institution to financial institution information, most often used by a FI to explain the reason for a wire reversal
- `fi_to_fi_information_line_2` `string` — Financial institution to financial institution information line 2.
- `fi_to_fi_information_line_3` `string` — Financial institution to financial institution information line 3.
- `fi_to_fi_information_line_4` `string` — Financial institution to financial institution information line 4.
- `fi_to_fi_information_line_5` `string` — Financial institution to financial institution information line 5.
- `fi_to_fi_information_line_6` `string` — Financial institution to financial institution information line 6.
- `id` `string` — The unique ID of the object
- `idempotency_key` `string` — The idempotency key specified in the wire transfer
- `imad` `string` — Stands for Input/Output Message Accountability Data. A unique number set by the originating bank given to each Fedwire payment when using the Federal Reserve Bank Service and can be used to investigate and track wire transfers. IMAD will be populated asynchronously and will not be populated on the completed event. IMAD will also not be populated for on-us wire transfers.
- `initiated_at` `date-time` — The timestamp when the wire was initiated
- `instructed_agent_name` `string` — Name of the instructed financial institution.
- `instructed_agent_routing_number` `string` — Routing number of the instructed financial institution.
- `instructing_agent_name` `string` — Name of the instructing financial institution.
- `instructing_agent_routing_number` `string` — Routing number of the instructing financial institution.
- `is_incoming` `boolean` — Indicates whether the wire transfer was incoming ( `true` or outgoing `false` )
- `is_on_us` `boolean` — Indicates whether the wire transfer was between two bank accounts held at Column
- `manual_review_at` `date-time` — The timestamp when the wire went into the manual review state
- `omad` `string` — Stands for Input/Output Message Accountability Data. A unique number set by the Fed given to each Fedwire payment when using the Federal Reserve Bank Service and can be used to investigate and track wire transfers. OMAD will be populated asynchronously and will not be populated on the completed event. OMAD will also not be populated for on-us wire transfers.
- `originator_account_number` `string` — The external account number from which the wire is originated
- `originator_name` `string` — The name of the person or entity that is originating the wire
- `originator_to_beneficiary_information_line_1` `string` — Originator to beneficiary information line 1.
- `originator_to_beneficiary_information_line_2` `string` — Originator to beneficiary information line 2.
- `originator_to_beneficiary_information_line_3` `string` — Originator to beneficiary information line 3.
- `originator_to_beneficiary_information_line_4` `string` — Originator to beneficiary information line 4.
- `pending_submission_at` `date-time` — The timestamp when the wire was marked `PENDING_SUBMISSION`
- `pre_review_at` `date-time` — The timestamp at which the wire transfer entered a pre-review state.
- `previous_message_reference` `string` — The previous message identifier included in the raw wire message
- `raw_beneficiary_address` `string` — The unstructured beneficiary address extracted from the raw wire message
- `raw_message` `string` — The raw Fedwire message for this wire transfer.
- `raw_originator_address` `string` — The unstructured originator address extracted from the raw wire message
- `receiver_di_name` `string` — The name of the person / entity that received the wire
- `receiver_di_routing_number` `string` — The routing number of the bank that received the wire
- `rejected_at` `date-time` — The timestamp when the wire was rejected
- `return_additional_info` `string` — Contains additional freeform text from the RDFI if provided (only populated for wire returns)
- `return_reason` `string` — Reason the original transfer was returned. Possible values: `invalid_beneficiary_account_number`, `beneficiary_mismatch`, `beneficiary_request`, `originator_request`, `account_closed`, `account_blocked`, `incorrect_amount`, `fraud`, `missing_originator_data`, `missing_beneficiary_data`, `compliance`, `other`
- `reversal_pair_transfer_id` `string` — If the transfer is the original transfer of a wire reversal, this field is the unique ID of the reversal transfer. If the transfer is the reversal transfer of a wire reversal, this field is the unique ID of the original transfer.
- `reviews` `array` — List of compliance reviews associated with the wire transfer.
- `sender_address` `object` — The address of the sender of the wire transfer.
  - `city` `string` — City name
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `sender_di_name` `string` — The name of the person / entity that sent the wire
- `sender_di_routing_number` `string` — The routing number of the bank that sent the wire
- `sender_reference` `string` — The sender reference field parsed out from the raw wire message
- `status` `string` — The current status of the wire transfer. Possible statuses are `INITIATED`, `COMPLETED`, `REJECTED`, and `MANUAL_REVIEW`
- `submitted_at` `date-time` — The timestamp when the wire was submitted
- `subtype_code` `string` — The subtype code specified in the wire transfer
- `tax_record_period_type` `string` — The Tax Month in the tax remittance component. This field is only required when the counterparty routing number is one of the Treasury tax payment RTNs for an outgoing wire transfer. Possible values are `MM01` through `MM12` (January through December)
- `tax_type_code` `string` — Tax Type Code of exactly `5` alphanumeric characters (capital letters and numbers). This field is only required when the counterparty routing number is one of the Treasury tax payment RTNs for an outgoing wire transfer.
- `tax_year` `string` — A Tax Year of exactly `4` numerical characters. This field is only required when the counterparty routing number is one of the Treasury tax payment RTNs for an outgoing wire transfer.
- `type_code` `string` — The type code specified in the wire transfer
- `ultimate_originator_counterparty_id` `string` — ID of the ultimate originating counterparty that sent the transfer in an outgoing wire transfer. If present, this will replace the originator field in the outgoing wire message.
- `updated_at` `date-time` — The timestamp when the wire was updated
- `wire_drawdown_request_id` `string` — ID of the wire drawdown request if the wire is sent in response to a wire drawdown request

**Response 200**

```json
{
  "account_number_id": "acno_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "allow_overdraft": false,
  "amount": 10000,
  "bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "beneficiary_account_number": "1234567890",
  "beneficiary_name": "Example beneficiary name",
  "beneficiary_reference": "REF-2024-001",
  "business_function_code": "CTR",
  "completed_at": "2024-01-15T09:30:00Z",
  "counterparty_id": "cpty_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "created_at": "2024-01-15T09:30:00Z",
  "created_by": {
    "id": "wire_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
    "name": "Example name",
    "type": "API_KEY"
  },
  "creditor_agent_name": "Example creditor agent name",
  "creditor_agent_routing_number": "021000089",
  "creditor_tax_id": "crta_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "currency_code": "USD",
  "debtor_agent_name": "Example debtor agent name",
  "debtor_agent_routing_number": "021000089",
  "description": "Example description",
  "fi_to_fi_information_line_1": "CHASUS33XXX",
  "fi_to_fi_information_line_2": "CHASUS33XXX",
  "fi_to_fi_information_line_3": "CHASUS33XXX",
  "fi_to_fi_information_line_4": "CHASUS33XXX",
  "fi_to_fi_information_line_5": "CHASUS33XXX",
  "fi_to_fi_information_line_6": "CHASUS33XXX",
  "id": "wire_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "idempotency_key": "2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "imad": "20240115MQFNF50H000001",
  "initiated_at": "2024-01-15T09:30:00Z",
  "instructed_agent_name": "Example instructed agent name",
  "instructed_agent_routing_number": "021000089",
  "instructing_agent_name": "Example instructing agent name",
  "instructing_agent_routing_number": "021000089",
  "is_incoming": false,
  "is_on_us": false,
  "manual_review_at": "2024-01-15T09:30:00Z",
  "omad": "20240115MQFNF50H000001",
  "originator_account_number": "1234567890",
  "originator_name": "Example originator name",
  "originator_to_beneficiary_information_line_1": "Payment for invoice #1234",
  "originator_to_beneficiary_information_line_2": "Payment for invoice #1234",
  "originator_to_beneficiary_information_line_3": "Payment for invoice #1234",
  "originator_to_beneficiary_information_line_4": "Payment for invoice #1234",
  "pending_submission_at": "2024-01-15T09:30:00Z",
  "pre_review_at": "2024-01-15T09:30:00Z",
  "previous_message_reference": "REF-2024-001",
  "raw_beneficiary_address": "101 Market St",
  "raw_message": null,
  "raw_originator_address": "101 Market St",
  "receiver_di_name": "Example receiver di name",
  "receiver_di_routing_number": "021000089",
  "rejected_at": "2024-01-15T09:30:00Z",
  "return_additional_info": null,
  "return_reason": "R01",
  "reversal_pair_transfer_id": "wire_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "reviews": [],
  "sender_address": {
    "city": "San Francisco",
    "country_code": "US",
    "line_1": "101 Market St",
    "line_2": "Suite 1913",
    "postal_code": "94105",
    "state": "CA"
  },
  "sender_di_name": "Example sender di name",
  "sender_di_routing_number": "021000089",
  "sender_reference": "REF-2024-001",
  "status": "pending",
  "submitted_at": "2024-01-15T09:30:00Z",
  "subtype_code": "C",
  "tax_record_period_type": null,
  "tax_type_code": null,
  "tax_year": 2025,
  "type_code": "C",
  "ultimate_originator_counterparty_id": "cpty_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "updated_at": "2024-01-15T09:30:00Z",
  "wire_drawdown_request_id": "wdrw_2Q1ctiJm1NypVqCt8UBC8e4xTfH"
}
```
